add some tests to autogen.sh

error from aytogen.sh if gtk-doc or goi are missing

see https://github.com/libvips/libvips/issues/2554
This commit is contained in:
John Cupitt 2021-11-24 18:43:19 +00:00
parent 728f2e2905
commit 7a34fda7dc
1 changed files with 16 additions and 1 deletions

View File

@ -9,10 +9,25 @@ olddir=$(pwd)
cd $srcdir
(test -f configure.ac) || {
echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
echo "*** ERROR: Directory '$srcdir' does not look like" >&2
echo "*** like the top-level project directory" >&2
exit 1
}
if ! gtkdocize --version > /dev/null; then
echo "*** ERROR: You must have gtkdocize installed" >&2
echo "*** to be able to reconfigure libvips." >&2
exit 1
fi
# this will only detect the most basic kind of missing gio error,
# hopefully that's enough to catch this most times
if ! pkg-config gobject-introspection-1.0 --exists; then
echo "*** ERROR: You must have gobject-introspection installed" >&2
echo "*** to be able to reconfigure libvips." >&2
exit 1
fi
# shellcheck disable=SC2016
PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)